Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004172TestLinkRequirement Revisioningpublic2011-01-16 17:352011-01-22 15:11
Reporterfman 
Assigned Tofman 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004172: Req revision history - MSSQL UNION text field issue
Descriptionwhen DBMS is MSSQL get_history() crashed due to MSSQL behavoiur.

Solution:
use UNION ALL (due to algorithm used this option is OK).
Additional InformationFrom:
http://sqlserver-qa.net/blogs/t-sql/archive/2008/04/03/3955.aspx [^]
Union Vs Union All

Well. Most of you know the diffrence between the two.

http://blog.sqlauthority.com/2007/03/10/sql-server-union-vs-union-all-which-is-better-for-performance/ [^]

http://www.codethinked.com/post/2007/11/UNION-versus-UNION-ALL2c-lessons-in-minutiae.aspx [^]

Here is one of the differences that is not known by newbies

When you use UNION, you cant include any column of type TEXT and NTEXT. But it is possible if you use UNION ALL
TagsNo tags attached.
Database (MySQL,Postgres,etc)MSSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0013298)
fman (administrator)
2011-01-16 17:40

Reminder sent to: Julian

Please get code and do some tests on MySQL.
thanks!
(0013354)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2011-01-16 17:35 fman New Issue
2011-01-16 17:35 fman Status new => assigned
2011-01-16 17:35 fman Assigned To => fman
2011-01-16 17:40 fman Note Added: 0013298
2011-01-18 07:00 fman Status assigned => resolved
2011-01-18 07:00 fman Fixed in Version => 1.9.1 (bug fixing)
2011-01-18 07:00 fman Resolution open => fixed
2011-01-22 15:11 fman Note Added: 0013354
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker